Bug Hunting Session
Bug 81033 - FILEOPEN: RTF import: tabs on paragraph don't override tabs in applied style
Summary: FILEOPEN: RTF import: tabs on paragraph don't override tabs in applied style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
PreBibisect
Hardware: Other All
: low minor
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: interoperability target:4.4.0 target:...
Keywords: filter:rtf, preBibisect, regression
Depends on:
Blocks:
 
Reported: 2014-07-08 07:56 UTC by Gergely Rácz
Modified: 2015-12-17 11:12 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
test: missing tabs from header and footer (21.24 KB, application/zip)
2014-07-08 07:56 UTC, Gergely Rácz
Details
LibO 3.3 VS 4.3 (129.25 KB, image/png)
2014-07-11 01:46 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gergely Rácz 2014-07-08 07:56:48 UTC
Created attachment 102415 [details]
test: missing tabs from header and footer

Issue: 
Tabulators from header and footer disappears while importing RTF file.

Steps to reproduce:
1. Create an RTF file with MS Office. (or use the uploaded test files)
2. Create special tabulators in the header and footer.
3. Save the file and open it with LibreOffice.

Result: 
Tabs disappears from header and footer as well.

Expected result:
Tabs should be visible after importing the RTF file.

Facts:
If RTF file is generated from LibO it works properly.
If the file format is DOC or DOCX tabs appears perfectly.
Comment 1 Yousuf Philips (jay) (retired) 2014-07-11 01:46:26 UTC
Dear Gergely,

I can confirm that according to your screenshots, LibO 3.3 shows it correctly and i was able to test 3.6.7, 4.2.5 and 4.3.1 and it didnt.
Comment 2 Yousuf Philips (jay) (retired) 2014-07-11 01:46:51 UTC
Created attachment 102585 [details]
LibO 3.3 VS 4.3
Comment 3 Joel Madero 2014-07-12 05:59:22 UTC
PreBibisect - problem must have come between 3.3 and 3.5beta1
Comment 4 Michael Stahl (CIB) 2014-07-28 16:30:29 UTC
there are 2 problems here:
1. the tab at 5.81 has some character (0 byte) set instead of None
2. there is an extra tab at 8cm that causes the fill character
   from the 16 cm one not to be displayed

paragraph has 2 tabs set:

\tx3293\tlul\tx9072

converting the attachment to DOCX with Word gives this on paragraph:

      <w:tabs>
        <w:tab w:val="clear" w:pos="4536"/>
        <w:tab w:val="left" w:pos="3293"/>
        <w:tab w:val="left" w:leader="underscore" w:pos="9072"/>
      </w:tabs>

note the explicit "clear" value of the tab stop that is in the style;
probably for RTF this means that any tab stop in a style that is not
explicitly repeated in the paragraph direct properties
needs to be cleared.

fixed on  master.
Comment 5 Commit Notification 2014-07-28 16:31:57 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f6e26917d4aa682ed9c422c83b1df20d78177d2

fdo#81033: writerfilter: RTF import: fix tab stop inheritance from style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-07-28 16:32:11 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0b6aadedc9429eee4f4df85957e00e29ccb0c8f

(related: fdo#81033) writerfilter: default tab fill character is space



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-07-29 12:30:32 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5dcf8fd9634c4d446bec3471b1fe0b43b61ed061&h=libreoffice-4-3

fdo#81033: writerfilter: RTF import: fix tab stop inheritance from style


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-07-29 12:41:19 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ccebccbe57f7dbc668e985f0db216d45d51061f&h=libreoffice-4-3

(related: fdo#81033) writerfilter: default tab fill character is space


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-17 11:12:24 UTC
Migrating Whiteboard tags to Keywords: (rtf_filter -> filter:rtf, preBibisect)
Remove redundant 'rtf_filter'.
[NinjaEdit]